using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using skyscraper5.Mpeg2;
using skyscraper5.Mpeg2.Descriptors;
using skyscraper5.Mpeg2.Psi;
using skyscraper5.Skyscraper.Plugins;

namespace skyscraper5.Skyscraper.Scraper.StreamAutodetection.Contestants
{
	[SkyscraperPlugin]
	class CatContestant : Contestant, ICatEventHandler, IDisposable
    {
        public CatContestant(int pid) : base("CAT", pid)
        {
            PacketProcessor = new PsiDecoder(pid, new CatParser(this));
        }

        public void NotifyOfCaSystem(CaDescriptor caDescriptor, bool fromPmt = false)
        {
            Score++;
        }

        public override void Dispose()
        {
            
        }

        public override void DeclareWinner(SkyscraperContext skyscraperContext, int pid, ProgramContext programContext)
        {
	        throw new NotImplementedException();
        }

        public override void Introduce(ProgramContext programContext)
        {
        }
    }
}
